* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

:root {
    --green: #1a7a47;
    --text: #1a7a47;
    --white: white;
    --background: #1a7a47;
    --hoverbackground: #1a7a47;
}

header {
    width: 100%;
    height: 56px;
    background-color: var(--green);
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0 10em;
    z-index: 999999999999;
    position: sticky;
    font-family: "BPG Arial Caps", sans-serif;
}

.header-contact {
    display: flex;
    gap: 4em;
}

.header-wrapper {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: .5em;
}

.header-wrapper img {
    width: 20px;
}

.header-wrapper p {
    color: white;
}

.header-social {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: .7em;
}

.header-social a {
    padding: 1em;
    border-radius: 50%;
    width: 30px;
    height: 30px;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: white;
}

.header-social img {
    width: 20px;
}


/* mobilenav */
.navbar {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

#mobile-navbar {
    width: 30px;
    height: 25px;
    cursor: pointer;
    position: relative;
    display: none;
}

/* navbar */
nav {
    width: 100%;
    height: 90px;
    background-color: white;
    padding: 0 10em;
    display: flex;
    align-items: center;
    justify-content: space-between;
    font-family: "BPG Arial Caps", sans-serif;
}

nav .logo {
    width: 80px;
    height: 80px;
}

nav .logo a {
    text-decoration: none;
    display: flex;
    align-items: center;
    justify-content: center;
}

nav .logo a  img {
    width: 100%;
}

nav .logo p {
    color: var(--green);
    font-weight: bold;
}

nav ul {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 2em;
}

nav ul li {
    list-style-type: none;
}

nav ul li a {
    text-decoration: none;
    font-weight: 500;
    font-size: 17px;
    color: var(--text);
    height: 90px;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    transition: all 0.6s ease;
    padding: 0 .5em;
}

/* active კლასის მქონე ელემენტზე ხაზი ყოველთვის ჩანდეს */
nav ul li a.active::after {
    content: "";
    position: absolute;
    width: 100%;
    height: 5px;
    background-color: var(--text);
    bottom: 0;
    left: 0;
    border-radius: 10px;
    opacity: 1; /* ხაზის ხილვადობა */
}

/* სხვა ელემენტებზე hover-ისას ყვითელი ფერი ჩნდება */
nav ul li a::after {
    content: "";
    position: absolute;
    width: 100%;
    height: 5px;
    background-color: var(--text);
    bottom: -5px; /* საწყისად ქვემოთ */
    left: 0;
    border-radius: 10px;
    opacity: 0; /* საწყისად უხილავია */
    transition: bottom 0.3s, opacity 0.9s ;
}

/* hover ან focus დროს - ყვითელი ხაზი ნელა ზემოთ ამოდის */
nav ul li a:hover::after,
nav ul li a:focus::after {
    bottom: 0;
    opacity: 1;
}

.language ul {
    gap: .5em;
}

.language ul span {
    font-weight: bold;
    color: var(--text);
}





/* footer */
footer {
    width: 100%;
    height: auto;
    background-color: var(--background);
    position: relative;
    /* top: 140px; */
    padding: 2em 8em 2em 8em;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: start;
        -ms-flex-align: start;
            align-items: flex-start;
    -webkit-box-pack: center;
        -ms-flex-pack: center;
            justify-content: center;
    gap: 6em;
    box-shadow: 0px -20px 20px 3px #0000001f;
    overflow: hidden;
}

.fcontact {
    font-size: 1.5em;
    color: #ffffff;
    padding-bottom: .7em;
}

.fcenter {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    gap: 1em;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
    -webkit-box-pack: start;
        -ms-flex-pack: start;
            justify-content: flex-start;
    padding-bottom: 1em;
}

.fcenter a {
    text-decoration: none;
}

.farrow {
    width: .9em;
}

.fimage {
    width: .9em;
}

.fbackground {
    width: 25px;
    height: 25px;
    background-color: var(--text);
    border-radius: 500px;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
    -webkit-box-pack: center;
        -ms-flex-pack: center;
            justify-content: center;
}

.ftext {
    color: white;
    font-size: 1em;
    text-decoration: none;
}

.ftext a {
    color: inherit; /* მემკვიდრეობით იღებს ფერს */
    text-decoration: none; /* ლინკის ხაზის მოშორება */
}

.fnames h2 {
    color: #7fcfa5;
    font-size: 1.8em;
}

.fnames span {
    color: rgb(163, 245, 163);
}

.finfo {
    width: 330px;
    color: rgb(247, 247, 247);
}

.fsocial {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    gap: .5em;
    padding-top: .8em;
}

.fcontacts {
    padding-bottom: .3em;
}


/* footer responsive */

@media(max-width: 1885px) {
    footer {
        padding: 2em;
        gap: 3em;
        -ms-flex-wrap: wrap;
            flex-wrap: wrap;
    }
}

@media(max-width: 580px) {
    footer {
        -webkit-box-pack: start;
            -ms-flex-pack: start;
                justify-content: flex-start;
                flex-direction: column;
    }

}

@media(max-width: 430px) {
    .finfo {
        width: 290px;
    }
    .fnames h2 {
        font-size: 20px;
    }
    .fcontact {
        font-size: 19px;
    }
    footer {
        padding: 2em 0 2em .5em;
        gap: 1em;
    }
}




/* navbar responsive */

@media(max-width: 1400px) {
    header, nav {
        padding: 0 5em;
    }
    .header-contact {
        gap: 3em;
    }
    nav ul li a, .header-wrapper p {
        font-size: 15px;
    }
}

@media(max-width: 1100px) {
    #mob-nav {
        position: absolute;
        flex-direction: column;
        z-index: 99999;
        background-color: white;
        top: -1000%;
        right: 0;
        height: 100vh;
        width: 100%;
        height: 400px;
        gap: .5em;
        transition: top .7s;
    }
    #mob-nav.active {
        top: 0;
    }
    #mobile-navbar {
        display: block;
        z-index: 999999999;
        margin-left: 1em;
    }
    nav {
        z-index: 99999;
        position: sticky;
    }
    nav ul li a {
        height: 50px;
    }
    nav ul li a {
        font-size: .9em;
    }
    nav ul li a.active::after {
        height: 3px;
    }
}

@media(max-width: 950px) {
    .header-wrapper:nth-child(1), .header-wrapper:nth-child(2) {
        display: none;
    }
    header, nav, .maintitle {
        padding: 0 1.5em;
    }
}